techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Customer Locations
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
        GET
      • Location Details
        GET
      • Create Location
        POST
      • Update Location
        PATCH
      • Update Location Image
        POST
      • Delete Location
        DELETE
    • List Received Notifications
      GET
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Customer Locations

Create Location

POST
https://api.techrar.com/api/v1/customers/me/locations/
This endpoint allows you to create a customer location.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/customers/me/locations/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "home",
    "location_url": "https://goo.gl/maps/bYhNrwEPiXArZ3MR7",
    "description": "جنب المسجد",
    "longitude": "50.14555912087167",
    "latitude": "26.309846082597065",
    "is_default": false
}'
Response Response Example
{
    "id": 10006,
    "created_at": "2025-10-22",
    "modified_at": "2025-10-22",
    "name_ar": "home",
    "location_url": "https://goo.gl/maps/bYhNrwEPiXArZ3MR7",
    "longitude": "50.14555912087167",
    "latitude": "26.309846082597065",
    "address1": "",
    "address2": "",
    "city": {
        "id": 8,
        "created_at": "2022-08-20",
        "modified_at": "2022-08-20",
        "ordering": 0,
        "name_en": "Dhahran",
        "name_ar": "Dhahran",
        "keywords": ""
    },
    "formatted_address": "address",
    "district": "",
    "image": ""
}
Modified at 2025-10-22 12:45:21
Previous
Location Details
Next
Update Location
Built with